Package org.apache.tapestry5.upload.services

## Class UploadSymbols

- java.lang.Object
- - org.apache.tapestry5.upload.services.UploadSymbols

-     public final class UploadSymbols
      extends java.lang.Object

  Configuration symbols.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `FILESIZE_MAX` | Maximum size (in bytes) of a single file within an upload request Defaults to -1 (no limit).
    `static java.lang.String` | `REPOSITORY_LOCATION` | Location where temporary files will be written.
    `static java.lang.String` | `REPOSITORY_THRESHOLD` | Threshold (in bytes) that determines when an uploaded file will be written to the repository.
    `static java.lang.String` | `REQUESTSIZE_MAX` | Maximum size (in bytes) of a single upload request Defaults to -1 (no limit).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REPOSITORY_LOCATION

          public static final java.lang.String REPOSITORY_LOCATION

      Location where temporary files will be written. Defaults to java.io.tmpdir property.
      See Also:
        Constant Field Values

    - #### REPOSITORY_THRESHOLD

          public static final java.lang.String REPOSITORY_THRESHOLD

      Threshold (in bytes) that determines when an uploaded file will be written to the repository.
      See Also:
        Constant Field Values

    - #### REQUESTSIZE_MAX

          public static final java.lang.String REQUESTSIZE_MAX

      Maximum size (in bytes) of a single upload request Defaults to -1 (no limit).
      See Also:
        Constant Field Values

    - #### FILESIZE_MAX

          public static final java.lang.String FILESIZE_MAX

      Maximum size (in bytes) of a single file within an upload request Defaults to -1 (no limit).
      See Also:
        Constant Field Values